# BillingUsageSeries

> Metered usage over a date window by day or week: exact spend, Mend tokens and requests, by… Admin access, workspace toolset, MCP tool get_billing_usage_series.

Metered usage over a date window by day or week: exact spend, Mend tokens and requests, by product and feature.

**Access:** [Admin](https://developer.missin.co.uk/get-started/authentication.md#access-levels)

## Variables

| Variable | Type | Required | Accepts | Description |
|---|---|---|---|---|
| `bucket` | `BillingUsageBucket` | no | One of 2 values, see [BillingUsageBucket](https://developer.missin.co.uk/reference/input-types.md#billingusagebucket) |  |
| `from` | `Datetime!` | yes | ISO 8601 with a zone, e.g. `2026-01-01T00:00:00Z` | Window start: the UTC day this instant falls in, inclusive. |
| `to` | `Datetime!` | yes | ISO 8601 with a zone, e.g. `2026-01-01T00:00:00Z` | Window end: the UTC day this instant falls in, inclusive. At most 366 days after from. |

## Call it

```bash curl
curl https://api.missin.co.uk/graphql/v1 \
  -H "Authorization: Bearer $MISSIN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"operationName":"BillingUsageSeries","variables":{"from":"2026-01-01T00:00:00Z","to":"2026-01-01T00:00:00Z"},"extensions":{"persistedQuery":{"version":1,"sha256Hash":"a7f3fd8a06da651391ddaa8fa2c43f245a77626eaf5fd94fa2b22f940f980932"}}}'
```

## Document

```graphql
query BillingUsageSeries($bucket: BillingUsageBucket, $from: Datetime!, $to: Datetime!) { __typename billingUsageSeries(from: $from, to: $to, bucket: $bucket) { __typename bucket byFeature { __typename inputTokens key outputTokens product requests spend } byProduct { __typename inputTokens key outputTokens product requests spend } currency fromDay points { __typename bucketStart byProduct { __typename inputTokens key outputTokens product requests spend } inputTokens outputTokens requests spend } toDay total { __typename inputTokens outputTokens requests spend } } }
```

Source: https://developer.missin.co.uk/reference/workspace/billing-usage-series
